# Makefile.in generated by automake 1.8.5 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


SOURCES = $(libADM_video_a_SOURCES)

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = @host@
subdir = avidemux/ADM_video
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
libADM_video_a_AR = $(AR) $(ARFLAGS)
libADM_video_a_LIBADD =
am_libADM_video_a_OBJECTS = ADM_vidFields.$(OBJEXT) \
	ADM_vidDeintASM.$(OBJEXT) ADM_vidVlad.$(OBJEXT) \
	ADM_guiMedianBig.$(OBJEXT) ADM_vidLargeMedian.$(OBJEXT) \
	ADM_vidSalt.$(OBJEXT) ADM_vidCached.$(OBJEXT) \
	ADM_vidFlux.$(OBJEXT) ADM_vidPartial.$(OBJEXT) \
	ADM_guiSRT.$(OBJEXT) ADM_vidFont.$(OBJEXT) \
	ADM_vidSRT.$(OBJEXT) ADM_guiDenoise.$(OBJEXT) \
	ADM_vidDenoise.$(OBJEXT) ADM_guiConv.$(OBJEXT) \
	ADM_vidFastConvolution.$(OBJEXT) ADM_vidFlipV.$(OBJEXT) \
	ADM_vidStabilize.$(OBJEXT) ADM_guiContrast.$(OBJEXT) \
	ADM_vidContrast.$(OBJEXT) ADM_resizeter.$(OBJEXT) \
	ADM_vidConvolution.$(OBJEXT) ADM_vidCrop.$(OBJEXT) \
	ADM_vidDeinterlace.$(OBJEXT) ADM_vidLuma.$(OBJEXT) \
	ADM_vidNull.$(OBJEXT) ADM_vidPalShift.$(OBJEXT) \
	ADM_vidpreview.$(OBJEXT) ADM_vidResize.$(OBJEXT) \
	ADM_vidTelecide.$(OBJEXT) ADM_vidTempSmooth.$(OBJEXT) \
	ADM_vidUVSwap.$(OBJEXT) ADM_vidClean.$(OBJEXT) \
	ADM_vidChroma.$(OBJEXT) ADM_vidBSmear.$(OBJEXT) \
	ADM_vidAddBorder.$(OBJEXT) ADM_resizebis.$(OBJEXT) \
	ADM_guiResize.$(OBJEXT) ADM_guiCrop.$(OBJEXT) \
	ADM_guiClean.$(OBJEXT) ADM_guiBSMear.$(OBJEXT) \
	ADM_guiAddBorder.$(OBJEXT) ADM_genvideo.$(OBJEXT) \
	ADM_guiRotate.$(OBJEXT) ADM_vidRotate.$(OBJEXT) \
	ADM_vidDropOut.$(OBJEXT) ADM_vidResize25.$(OBJEXT) \
	ADM_vidSwapFields.$(OBJEXT) ADM_vidSeparateField.$(OBJEXT) \
	ADM_vidFieldUtil.$(OBJEXT) ADM_confCouples.$(OBJEXT) \
	ADM_vidChromaShift.$(OBJEXT) ADM_vidSwapSmart.$(OBJEXT) \
	swscale.$(OBJEXT) ADM_vidMPLResize.$(OBJEXT) \
	ADM_vidIVTC.$(OBJEXT) ADM_interlaced.$(OBJEXT) \
	ADM_vidPulldown.$(OBJEXT) ADM_vidMPLD3D.$(OBJEXT) \
	ADM_vidMPLD3Dlow.$(OBJEXT) ADM_vidBlend.$(OBJEXT) \
	ADM_vidRaw.$(OBJEXT) ADM_vidSRTRender.$(OBJEXT) \
	ADM_vidSRTload.$(OBJEXT) ADM_guiChromaShift.$(OBJEXT) \
	ADM_vidlavdeint.$(OBJEXT) ADM_mpdetc.$(OBJEXT) \
	ADM_vidKernelDeint.$(OBJEXT) ADM_vidForcedPP.$(OBJEXT) \
	ADM_vidSoften.$(OBJEXT) ADM_vidDecTelecide.$(OBJEXT) \
	ADM_cache.$(OBJEXT) ADM_vidDecDec.$(OBJEXT) \
	ADM_vidMsmooth.$(OBJEXT) ADM_vidWirl.$(OBJEXT) \
	ADM_vidEqualizer.$(OBJEXT) ADM_vidVobsub.$(OBJEXT) \
	ADM_vobsubinfo.$(OBJEXT) ADM_vidChangeFPS.$(OBJEXT) \
	ADM_vidVobSubRender.$(OBJEXT) ADM_vidResampleFPS.$(OBJEXT)
libADM_video_a_OBJECTS = $(am_libADM_video_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/ADM_cache.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_confCouples.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_genvideo.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiAddBorder.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiBSMear.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiChromaShift.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiClean.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiContrast.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiConv.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiCrop.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiDenoise.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiMedianBig.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiResize.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiRotate.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_guiSRT.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_interlaced.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_mpdetc.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_resizebis.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_resizeter.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidAddBorder.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidBSmear.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidBlend.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidCached.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidChangeFPS.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidChroma.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidChromaShift.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidClean.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidContrast.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidConvolution.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidCrop.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidDecDec.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidDecTelecide.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidDeintASM.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidDeinterlace.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidDenoise.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidDropOut.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidEqualizer.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidFastConvolution.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidFieldUtil.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidFields.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidFlipV.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidFlux.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidFont.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidForcedPP.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidIVTC.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidKernelDeint.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidLargeMedian.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidLuma.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidMPLD3D.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidMPLD3Dlow.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidMPLResize.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidMsmooth.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidNull.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidPalShift.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidPartial.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidPulldown.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidRaw.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidResampleFPS.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidResize.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidResize25.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidRotate.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSRT.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSRTRender.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSRTload.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSalt.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSeparateField.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSoften.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidStabilize.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSwapFields.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidSwapSmart.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidTelecide.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidTempSmooth.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidUVSwap.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidVlad.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidVobSubRender.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidVobsub.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidWirl.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidlavdeint.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vidpreview.Po \
@AMDEP_TRUE@	./$(DEPDIR)/ADM_vobsubinfo.Po \
@AMDEP_TRUE@	./$(DEPDIR)/swscale.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libADM_video_a_SOURCES)
DIST_SOURCES = $(libADM_video_a_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ALTIVEC_SWITCH = @ALTIVEC_SWITCH@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTS_CFLAGS = @ARTS_CFLAGS@
ARTS_LIBS = @ARTS_LIBS@
ART_CONFIG = @ART_CONFIG@
AS = @AS@
ASFLAGS = @ASFLAGS@
AS_FLAGS = @AS_FLAGS@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BUILD_A64_FALSE = @BUILD_A64_FALSE@
BUILD_A64_TRUE = @BUILD_A64_TRUE@
BUILD_ALTIVEC_FALSE = @BUILD_ALTIVEC_FALSE@
BUILD_ALTIVEC_TRUE = @BUILD_ALTIVEC_TRUE@
BUILD_DARWIN_FALSE = @BUILD_DARWIN_FALSE@
BUILD_DARWIN_TRUE = @BUILD_DARWIN_TRUE@
BUILD_MMX_COMPATIBLE_FALSE = @BUILD_MMX_COMPATIBLE_FALSE@
BUILD_MMX_COMPATIBLE_TRUE = @BUILD_MMX_COMPATIBLE_TRUE@
BUILD_MMX_FALSE = @BUILD_MMX_FALSE@
BUILD_MMX_TRUE = @BUILD_MMX_TRUE@
BUILD_PPC_FALSE = @BUILD_PPC_FALSE@
BUILD_PPC_TRUE = @BUILD_PPC_TRUE@
CC = @CC@
CCAS = @CCAS@
CCASFLAGS = @CCASFLAGS@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
GMSGFMT = @GMSGFMT@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_LIBS = @GTK_LIBS@
GTK_VERSION = @GTK_VERSION@
HAVE_NASM_FALSE = @HAVE_NASM_FALSE@
HAVE_NASM_TRUE = @HAVE_NASM_TRUE@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
LDFLAGS = @LDFLAGS@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LMPG_OPT = @LMPG_OPT@
LN_S = @LN_S@
LOCALEDIR = @LOCALEDIR@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
MSGMERGE = @MSGMERGE@
NASM_CONFIG = @NASM_CONFIG@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
POSUB = @POSUB@
RANLIB = @RANLIB@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XML_CFLAGS = @XML_CFLAGS@
XML_CONFIG = @XML_CONFIG@
XML_LIBS = @XML_LIBS@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@

####### kdevelop will overwrite this part!!! (begin)##########
noinst_LIBRARIES = libADM_video.a
libADM_video_a_METASOURCES = AUTO
#INCLUDES = $(all_includes) 
libADM_video_a_SOURCES = ADM_vidFields.cpp ADM_vidDeintASM.cpp ADM_vidVlad.cpp \
							ADM_guiMedianBig.cpp ADM_vidLargeMedian.cpp ADM_vidSalt.cpp ADM_vidCached.cpp \
							ADM_vidFlux.cpp ADM_vidPartial.cpp ADM_guiSRT.cpp ADM_vidFont.cpp ADM_vidSRT.cpp \
							ADM_guiDenoise.cpp ADM_vidDenoise.cpp ADM_guiConv.cpp ADM_vidFastConvolution.cpp \
							ADM_vidFlipV.cpp ADM_vidStabilize.cpp ADM_guiContrast.cpp ADM_vidContrast.cpp \
							ADM_resizeter.cpp ADM_vidConvolution.cpp ADM_vidCrop.cpp ADM_vidDeinterlace.cpp \
							ADM_vidLuma.cpp ADM_vidNull.cpp ADM_vidPalShift.cpp ADM_vidpreview.cpp \
							ADM_vidResize.cpp ADM_vidTelecide.cpp ADM_vidTempSmooth.cpp ADM_vidUVSwap.cpp \
							ADM_vidClean.cpp ADM_vidChroma.cpp ADM_vidBSmear.cpp ADM_vidAddBorder.cpp \
							ADM_resizebis.cpp ADM_guiResize.cpp ADM_guiCrop.cpp ADM_guiClean.cpp ADM_guiBSMear.cpp \
							ADM_guiAddBorder.cpp ADM_genvideo.cpp ADM_guiRotate.cpp ADM_vidRotate.cpp ADM_vidRotate.h \
							ADM_vidDropOut.cpp ADM_vidDropOut.h ADM_vidResize25.cpp ADM_vidSwapFields.cpp \
							ADM_vidSwapFields.h ADM_vidSeparateField.cpp ADM_vidFieldUtil.cpp ADM_vidFieldUtil.h \
							ADM_vidSeparateField.h ADM_confCouples.cpp ADM_confCouple.h ADM_vidCommonFilter.h \
							ADM_vidChromaShift.h ADM_vidChromaShift.cpp ADM_vidSwapSmart.cpp ADM_vidSwapSmart.h \
							swscale.c ADM_vidMPLResize.cpp ADM_vidIVTC.cpp ADM_vidIVTC.h ADM_interlaced.cpp \
							ADM_interlaced.h ADM_vidPulldown.h ADM_vidPulldown.cpp ADM_vidMPLD3D.cpp ADM_vidMPLD3D.h \
							ADM_vidMPLD3Dlow.h ADM_vidMPLD3Dlow.cpp ADM_vidBlend.cpp ADM_vidRaw.cpp \
							ADM_vidSRTRender.cpp ADM_vidSRTload.cpp ADM_guiChromaShift.cpp ADM_vidlavdeint.cpp \
							ADM_mpdetc.cpp ADM_vidKernelDeint.cpp ADM_vidForcedPP.cpp ADM_vidSoften.cpp \
							ADM_vidDecTelecide.cpp ADM_vidDecTelecide.h ADM_cache.cpp ADM_vidDecDec.cpp ADM_vidMsmooth.cpp \
							ADM_vidWirl.cpp ADM_vidEqualizer.cpp ADM_vidVobsub.cpp ADM_vobsubinfo.cpp \
			ADM_vidChangeFPS.cpp ADM_vidVobSubRender.cpp ADM_vidResampleFPS.cpp

EXTRA_DIST = ADM_genvideo.cpp ADM_genvideo.hxx ADM_guiAddBorder.cpp ADM_guiBSMear.cpp ADM_guiClean.cpp ADM_guiCrop.cpp ADM_guiResize.cpp ADM_resizebis.cpp ADM_resizebis.hxx ADM_vidAddBorder.cpp ADM_vidAddBorder.h ADM_vidBSmear.cpp ADM_vidChroma.cpp ADM_vidChroma.h ADM_vidClean.cpp ADM_vidClean.h ADM_vidUVSwap.h ADM_vidUVSwap.cpp ADM_vidTempSmooth.h ADM_vidTempSmooth.cpp ADM_vidTelecide.h ADM_vidTelecide.cpp ADM_vidResize.cpp ADM_vidpreview.cpp ADM_vidPalShift.h ADM_vidPalShift.cpp ADM_vidNull.cpp ADM_vidLuma.h ADM_vidLuma.cpp ADM_vidDeinterlace.h ADM_vidDeinterlace.cpp ADM_vidCrop.cpp ADM_vidConvolution.hxx ADM_vidConvolution.cpp ADM_resizeter.cpp ADM_vidContrast.cpp ADM_vidContrast.h ADM_guiContrast.cpp ADM_vidStabilize.cpp ADM_vidStabilize.h ADM_vidFlipV.h ADM_vidFlipV.cpp ADM_vidFastConvolution.cpp ADM_guiConv.cpp ADM_vidDenoise.h ADM_vidDenoise.cpp ADM_guiDenoise.cpp ADM_vidSRT.cpp ADM_vidSRT.h ADM_vidFont.cpp ADM_vidFont.h ADM_guiSRT.cpp ADM_vidPartial.h ADM_vidPartial.cpp ADM_vidFlux.cpp ADM_vidFlux.h ADM_vidCached.cpp ADM_vidCached.h ADM_vidSalt.cpp ADM_vidSalt.h ADM_vidLargeMedian.cpp ADM_vidLargeMedian.h ADM_guiMedianBig.cpp ADM_vidVlad.cpp ADM_vidVlad.h ADM_vidDeintASM.cpp ADM_vidFields.cpp ADM_vidField.h swscale.h swscale_internal.h swscale_template.txt

####### kdevelop will overwrite this part!!! (end)############
INCLUDES = $(all_includes) $(GTK_CFLAGS) $(FREETYPE_CFLAGS) $(ALTIVEC_SWITCH)
noinst_HEADERS = ADM_vidlavdeint.h ADM_mpdetc.h ADM_vidKernelDeint.h \
			ADM_vidForcedPP.h ADM_vidSoften.h ADM_cache.h ADM_vidDecTel_param.h ADM_vidDecDec_param.h \
			ADM_vidMSmooth_param.h ADM_vidEqualizer.h ADM_vobsubinfo.h ADM_vidVobSub.h

all: all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  avidemux/ADM_video/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  avidemux/ADM_video/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libADM_video.a: $(libADM_video_a_OBJECTS) $(libADM_video_a_DEPENDENCIES) 
	-rm -f libADM_video.a
	$(libADM_video_a_AR) libADM_video.a $(libADM_video_a_OBJECTS) $(libADM_video_a_LIBADD)
	$(RANLIB) libADM_video.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_cache.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_confCouples.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_genvideo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiAddBorder.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiBSMear.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiChromaShift.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiClean.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiContrast.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiConv.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiCrop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiDenoise.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiMedianBig.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiResize.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiRotate.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_guiSRT.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_interlaced.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_mpdetc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_resizebis.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_resizeter.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidAddBorder.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidBSmear.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidBlend.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidCached.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidChangeFPS.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidChroma.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidChromaShift.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidClean.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidContrast.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidConvolution.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidCrop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidDecDec.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidDecTelecide.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidDeintASM.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidDeinterlace.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidDenoise.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidDropOut.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidEqualizer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidFastConvolution.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidFieldUtil.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidFields.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidFlipV.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidFlux.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidFont.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidForcedPP.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidIVTC.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidKernelDeint.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidLargeMedian.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidLuma.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidMPLD3D.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidMPLD3Dlow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidMPLResize.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidMsmooth.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidNull.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidPalShift.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidPartial.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidPulldown.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidRaw.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidResampleFPS.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidResize.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidResize25.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidRotate.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSRT.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSRTRender.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSRTload.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSalt.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSeparateField.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSoften.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidStabilize.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSwapFields.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidSwapSmart.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidTelecide.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidTempSmooth.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidUVSwap.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidVlad.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidVobSubRender.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidVobsub.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidWirl.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidlavdeint.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vidpreview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ADM_vobsubinfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/swscale.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LIBRARIES) $(HEADERS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-noinstLIBRARIES ctags distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am tags uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
